[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#294395: apache2-threaded-dev: Can't build php5 module



Package: apache2-threaded-dev
Version: 2.0.53-1
Severity: grave
Justification: renders package unusable

PHP5 can't compile with Apache 2.0.53 and compiles well with previous version.

$ make
/bin/sh /home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/libtool--preserve-dup-deps --mode=compile /home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/meta_ccld  -I/usr/include/apache2  -DLINUX=2 -D_REENTRANT -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE -I/usr/include/apr-0   -I/usr/include/apr-0 -I/usr/include -Isapi/apache2handler/ -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/sapi/apache2handler/ -DPHP_ATOM_INC -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/include -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/main -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3 -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/Zend -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/main -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/Zend -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/TSRM -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/  -D_REENTRANT -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/TSRM  -O2 -Wall -fsigned-char -fno-strict-aliasing -gstabs -pthread -DZTS  -prefer-pic -c /home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/sapi/apache2handler/mod_php5.c -o sapi/apache2handler/mod_php5.lo
 /home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/meta_ccld -I/usr/include/apache2 -DLINUX=2 -D_REENTRANT -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE -I/usr/include/apr-0 -I/usr/include/apr-0 -I/usr/include -Isapi/apache2handler/ -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/sapi/apache2handler/ -DPHP_ATOM_INC -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/include -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/main -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3 -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/Zend -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/main -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/Zend -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/TSRM -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/ -D_REENTRANT -I/home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/apache2-build/TSRM -O2 -Wall -fsigned-char -fno-strict-aliasing -gstabs -pthread -DZTS -c /home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/sapi/apache2handler/mod_php5.c  -fPIC -DPIC -o sapi/apache2handler/.libs/mod_php5.o
In file included from /home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/sapi/apache2handler/php_apache.h:24,
                 from /home/dexter/src/alioth/pear-package/local/php5/debian/tmp/php-5.0.3/sapi/apache2handler/mod_php5.c:26:
/usr/include/apache2/httpd.h:1506: error: parse error before '*' token
/usr/include/apache2/httpd.h:1507: warning: type defaults to `int' in declaration of `ap_pregcomp'
/usr/include/apache2/httpd.h:1507: warning: data definition has no type or storage class
/usr/include/apache2/httpd.h:1514: error: parse error before "ap_regex_t"
/usr/include/apache2/httpd.h:1528: error: parse error before '*' token
/usr/include/apache2/httpd.h:1538: warning: type defaults to `int' in declaration of `ap_regex_t'
/usr/include/apache2/httpd.h:1538: error: parse error before '*' token
/usr/include/apache2/httpd.h:1553: error: parse error before "ap_regmatch_t"
make: *** [sapi/apache2handler/mod_php5.lo] Błąd 1


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-686
Locale: LANG=pl_PL, LC_CTYPE=pl_PL (charmap=ISO-8859-2)

Versions of packages apache2-threaded-dev depends on:
ii  apache2-common                2.0.53-1   next generation, scalable, extenda
ii  autoconf                      2.59a-3    automatic configure script builder
ii  autotools-dev                 20041130.2 Update infrastructure for config.{
ii  bzip2                         1.0.2-4    high-quality block-sorting file co
ii  libapr0-dev                   2.0.53-1   development headers for libapr
ii  libdb4.2-dev                  4.2.52-18  Berkeley v4.2 Database Libraries [
ii  libpcre3-dev                  4.5-1.1    Perl 5 Compatible Regular Expressi
ii  libssl-dev                    0.9.7e-3   SSL development libraries, header 
ii  libtool                       1.5.6-4    Generic library support script
ii  openssl                       0.9.7e-3   Secure Socket Layer (SSL) binary a
ii  zlib1g-dev                    1:1.2.2-4  compression library - development

-- no debconf information



Reply to: